function z=betw(x ,y)
%insertion columns of the 'y' array inbetween columns of 'x'
[~,hx]=size(x);
[v,hy]=size(y);
hz=(hx+hy);
z=zeros(v,hz);
n=hy/hx;
nn=1:n;
s=[];
t=1:(n+1):hz;
for kk=t
 s=[s kk+nn];
 end 
tt=s;
z(:,t)=x;z(:,tt)=y;